using e_suite.API.Common;
using e_suite.UnitTestCore;
using eSuite.API.SingleSignOn;
using Moq;

namespace eSuite.API.UnitTests.SingleSignOn.SingleSignOn;

public class SingleSignOnTestBase : TestBase
{
    protected API.SingleSignOn.SingleSignOn _singleSignOn = null!;
    protected Mock<IUserManager> _userManagerMock = null!;
    protected Mock<IHttpClientFacade> _httpClientFacadeMock = null!;

    public override async Task Setup()
    {
        await base.Setup();
        _userManagerMock = new Mock<IUserManager>();
        _httpClientFacadeMock = new Mock<IHttpClientFacade>();

        _singleSignOn = new API.SingleSignOn.SingleSignOn(_userManagerMock.Object, _configuration, _httpClientFacadeMock.Object);
    }
}